GET /contacts/v1/schemas/{schemaId}/attributeGroups/{id}

Overview 

Retrieves a specified attribute group (by ID, key, or name) associated with a specified contact data schema.

URL Parameters 

NameTypeDescription
schemaIdstringRequiredThe ID of the schema
idstringRequiredThe ID of the attribute group expressed in the form of a GUID (UUID). Required if not using key or name.
keystringRequiredKey of the attribute group. Prefix the parameter with key:. For example, /attributeGroups/key:{key}. Required if not using ID or name.
namestringRequiredName of the attribute group. Prefix the parameter with name:. For example, /attributeGroups/name:{name}. Required if not using ID or key.

Usage 

Example Request by ID

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/schemas/36E001F0-6B8F-E311-A274-08EDB9DDEBF0/attributeGroups/36E001F0-6B8F-E311-A274-08EDB9DDEBF0
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1200 (OK)
2{
3
4    "attributeGroup": {
5        "links": {
6            "self": {"href": "/schemas/{parentReferenceId}/attributeGroups/{id}" },
7            "schema": {"href": "/schemas/{parentReferenceId}" },
8            "attributeSetDefinitions": {"href": "/schemas/{parentReferenceId}/attributeGroups/{id}/attributeSetDefinitions"
9        },
10        "id": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0",
11        "key": "com.exacttarget.mobilepush.ETMobilePush",
12        "name": "ExactTarget MobilePush",
13        "schemaId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0",
14        "isSystemDefined": true,
15        "applicationID": "131975ED-E859-4CC9-B479-62A615BC6C8A",
16        "applicationKey": "com.exacttarget.mobilepush",
17        "templateID": 100,
18        "fullyQualifiedName": "com.exacttarget.mobilepush.ETMobilePush",
19        "attributeGroupType": "standard",
20
21    },
22    }
23}

Example Request by Key

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/schemas/36E001F0-6B8F-E311-A274-08EDB9DDEBF0/attributeGroups/key:com.exacttarget.mobilepush.ETMobilePush
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1200 (OK)
2{
3    "attributeGroup": {
4        "links": {
5            "self": {"href": "/schemas/{schemaId}/attributeGroups/{id}" },
6            "schema": {"href": "/schemas/{schemaId}" },
7            "attributeSetDefinitions": {"href": "/schemas/{schemaId}/attributeGroups/{id}/attributeSetDefinitions" }
8        },
9        "id": "4de15aca-2c17-e311-bb14-00237d5401ce",
10        "key": "com.exacttarget.mobilepush.ETMobilePush",
11        "name": "ExactTarget MobilePush",
12        "schemaId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0",
13        "isSystemDefined": true,
14        "applicationID": "131975ED-E859-4CC9-B479-62A615BC6C8A",
15        "applicationKey": "com.exacttarget.mobilepush",
16        "templateID": 100,
17        "fullyQualifiedName": "com.exacttarget.mobilepush.ETMobilePush",
18        "attributeGroupType": "standard"
19    }
20}

Example Request by Name

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/schemas/36E001F0-6B8F-E311-A274-08EDB9DDEBF0/attributeGroups/name:ExactTarget%20MobilePush
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1200 (OK)
2{
3    "attributeGroup": {
4        "links": {
5            "self": {"href": "/schemas/{schemaId}/attributeGroups/{id}" },
6            "schema": {"href": "/schemas/{schemaId}" },
7            "attributeSetDefinitions": {"href": "/schemas/{schemaId}/attributeGroups/{id}/attributeSetDefinitions" }
8        },
9        "id": "4de15aca-2c17-e311-bb14-00237d5401ce",
10        "key": "com.exacttarget.mobilepush.ETMobilePush",
11        "name": "ExactTarget MobilePush",
12        "schemaId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0",
13        "isSystemDefined": true,
14        "applicationID": "131975ED-E859-4CC9-B479-62A615BC6C8A",
15        "applicationKey": "com.exacttarget.mobilepush",
16        "templateID": 100,
17        "fullyQualifiedName": "com.exacttarget.mobilepush.ETMobilePush",
18        "attributeGroupType": "standard"
19    }
20}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!